Summary:	Simple game to connect squares
Name:		squaroid
Version:	0.60.3
Release:	3mdk
License:	GPL
Group:		Games/Strategy

Source:		%name-%version.tar.bz2
Source1:	squaroid-gfx-0.2.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
URL:		http://www.squaroid.de/

%description
In Squaroid, you earn points by making squares -- that is, you put
your stones down on the board so that you've got one stone at each
corner of a square.

%prep

%setup -q -a1

%build
# David - 0.60.3-3mdk - Build application
CFLAGS="%optflags" ./configure --prefix=%_prefix --disable-sound
%make

# David - 0.60.3-3mdk - Configure graphics
cd squaroid-gfx-0.2/
%configure


%install
rm -fr %buildroot

# David - 0.60.3-3mdk - Install application
%makeinstall
install -m755 irc-bot/squaroid-host.pl %buildroot/%_bindir

# David - 0.60.3-3mdk - Install graphics
cd squaroid-gfx-0.2/
%makeinstall

# David - 0.60.3-3mdk - Install menu entry
install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%{name}): \
command="squaroid" \
title="Squaroid" \
longtitle="A game about making squares" \
icon="strategy_section" \
needs="x11" \
section="Amusement/Strategy"
EOF
 
%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%_bindir/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc irc-bot/README.host
%dir %_datadir/%name/
%_datadir/%name/*
%_menudir/*

%changelog
* Wed Sep 26 2001 David BAUDENS <baudens@mandrakesoft.com> 0.60.3-3mdk
- Use default strategy icon for menu entry
- Make it works (aka download all needed sources)

* Tue Sep 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.60.3-2mdk
- rebuild

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.60.3-1mdk
- updated to 0.60.3

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-3mdk
- BM & macros

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-2mdk
- fix group
- fix files section

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.50

* Mon Sep 13 1999 Daouda LO <daouda@mandrakesoft.com>
- 0.45

* Sat Sep 11 1999 Daouda LO <daouda@mandrakesoft.com>
- 0.42

* Thu Sep 09 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
- make the package relocatable
